package net.lecnam.info.remotemap;

import java.util.Map;
import java.util.concurrent.BlockingQueue;
import java.util.concurrent.LinkedBlockingQueue;

public class Main {

	public static void main(String[] args) {

		var m = Map.of(
				72, "craie",
				31, "cheval",
				6, "arbre",
				22, "train",
				21, "pain");

		BlockingQueue<Request<Integer, String>> bqcs = new LinkedBlockingQueue<>();
		BlockingQueue<Answer<String>> bqsc = new LinkedBlockingQueue<>();

		Server<Integer, String> s = new Server<>(bqcs, bqsc, m);
		Client c = new Client(bqsc, bqcs);

		Thread tc = new Thread(c);
		Thread ts = new Thread(s);

		tc.start();
		ts.start();

	}
}
