package net.lecnam.info.remotemap;

sealed interface Request<K, V> {
    record Put<K, V>(K key, V value) implements Request<K, V> {}
    record Get<K, V>(K key) implements Request<K, V> {}
    record Stop<K, V>() implements Request<K, V> {}
}